> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withgauge.com/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> For API and SDK launches, integration testing, and ongoing coding-agent checks, start with Gauge Agents:
> - [Gauge Agents overview](https://docs.withgauge.com/agents/index.md)
> - [Gauge Agents quickstart](https://docs.withgauge.com/agents/quickstart.md)
> - [Create and inspect an eval](https://docs.withgauge.com/agents/guides/create-an-eval-and-run-an-experiment.md)
> - [Agent Experience: diagnose integration failures](https://docs.withgauge.com/agents/concepts/agent-experience.md)
> - [Agent Preference: measure product selection](https://docs.withgauge.com/agents/concepts/agent-preference.md)
> - [GitHub PR checks](https://docs.withgauge.com/agents/guides/github-pr-checks.md)
> For AI search visibility and AEO, start with [Gauge Chat](https://docs.withgauge.com/introduction/welcome.md).

# List runs

> List runs.



## OpenAPI

````yaml /agents/openapi.json get /api/v1/runs/{runId}/events
openapi: 3.1.0
info:
  title: Gauge API
  version: 0.25.0
  description: >-
    Programmatic access to Gauge organizations, measurements, run
    configurations, coding-agent runs, optimizations, and analytics.
  contact:
    name: Gauge support
    email: support@withgauge.com
servers:
  - url: https://agents.withgauge.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: AI Traffic
  - name: Agent Experience
  - name: Agent Preference
  - name: Analytics
  - name: Authentication
  - name: Batches
  - name: Billing
  - name: Brands
  - name: Checkpoints
  - name: Credentials
  - name: Dashboards
  - name: Execution targets
  - name: Feedback
  - name: Issues
  - name: MCP servers
  - name: Mcp Authorizations
  - name: Optimizations
  - name: Organizations
  - name: Personas
  - name: Provider keys
  - name: Repositories
  - name: Runs
  - name: Skills
  - name: Tags
paths:
  /api/v1/runs/{runId}/events:
    get:
      tags:
        - Runs
      summary: List runs
      description: List runs.
      operationId: getRunsRunIdEvents
      parameters:
        - name: runId
          in: path
          required: true
          description: RunId.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Request conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: not_found
            message:
              type: string
              example: Run not found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gauge_<token>
      description: >-
        A personal access token created with `gauge auth tokens create` or the
        Gauge web app.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.